<?php 

	$kitchen_decor_custom_style = '';

	// Global color
	$kitchen_decor_theme_color1 = get_theme_mod('kitchen_decor_theme_color1');

	if( $kitchen_decor_theme_color1 != ''){

		$kitchen_decor_custom_style .=' .contacts, .nav-menu ul ul a, #slider .carousel-control-prev-icon i:hover, #slider .carousel-control-next-icon i:hover, #slider a.read-btn, #about-section .about-btn a, .article_content .read-btn a, .back-to-top:hover::after, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .comment-body .comment-reply-link, #sidebar button.search-submit, button, input[type="button"], input[type="submit"], button.search-submit, .metabox, #about-section h4:after, #slider h2:after, #about-section .outer-box {';
			$kitchen_decor_custom_style .=' background-color: '.esc_attr($kitchen_decor_theme_color1).';';
		$kitchen_decor_custom_style .=' }';

		$kitchen_decor_custom_style .=' a, a:hover, a:active, h1.site-title a, p.site-title a, .nav-menu ul li a:hover, .nav-menu ul ul a:hover, .single-post-tags, .single-post-tags a, .article_content h3, a.showcoupon, .woocommerce-message::before, #sidebar h2.widget-title {';
			$kitchen_decor_custom_style .=' color: '.esc_attr($kitchen_decor_theme_color1).';';
		$kitchen_decor_custom_style .=' }';

		$kitchen_decor_custom_style .=' #header, #sidebar h2.widget-title:after, .nav-menu ul ul, .woocommerce .products li:hover {';
			$kitchen_decor_custom_style .=' border-color: '.esc_attr($kitchen_decor_theme_color1).';';
		$kitchen_decor_custom_style .=' }';

		$kitchen_decor_custom_style .=' @media screen and (max-width:1000px) {
			.toggle-menu i, .sidenav{';
			$kitchen_decor_custom_style .=' background-color: '.esc_attr($kitchen_decor_theme_color1).';';
		$kitchen_decor_custom_style .=' } }';
	}

	$kitchen_decor_theme_color2 = get_theme_mod('kitchen_decor_theme_color2');

	if( $kitchen_decor_theme_color2 != ''){

		$kitchen_decor_custom_style .=' #slider a.read-btn:before, #about-section .about-btn a:before, .article_content .read-btn a:before, #slider a.read-btn:after, #about-section .about-btn a:after, .article_content .read-btn a:after, .topbar {';
			$kitchen_decor_custom_style .=' background-color: '.esc_attr($kitchen_decor_theme_color2).';';
		$kitchen_decor_custom_style .=' }';

		$kitchen_decor_custom_style .=' #about-section h4 {';
			$kitchen_decor_custom_style .=' color: '.esc_attr($kitchen_decor_theme_color2).';';
		$kitchen_decor_custom_style .=' }';
	}

	// Logo Size
	$kitchen_decor_logo_top_margin = get_theme_mod('kitchen_decor_logo_top_margin');
	$kitchen_decor_logo_bottom_margin = get_theme_mod('kitchen_decor_logo_bottom_margin');
	$kitchen_decor_logo_left_margin = get_theme_mod('kitchen_decor_logo_left_margin');
	$kitchen_decor_logo_right_margin = get_theme_mod('kitchen_decor_logo_right_margin');

	if( $kitchen_decor_logo_top_margin != '' || $kitchen_decor_logo_bottom_margin != '' || $kitchen_decor_logo_left_margin != '' || $kitchen_decor_logo_right_margin != ''){
		$kitchen_decor_custom_style .=' .logo {';
			$kitchen_decor_custom_style .=' margin-top: '.esc_attr($kitchen_decor_logo_top_margin).'px; margin-bottom: '.esc_attr($kitchen_decor_logo_bottom_margin).'px; margin-left: '.esc_attr($kitchen_decor_logo_left_margin).'px; margin-right: '.esc_attr($kitchen_decor_logo_right_margin).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_logo_size = get_theme_mod('kitchen_decor_logo_size');
	if( $kitchen_decor_logo_size != '' ) {
		if($kitchen_decor_logo_size >= 0 && $kitchen_decor_logo_size <= 100) {
			$calculated_width = $kitchen_decor_logo_size * 3.5;
			$kitchen_decor_custom_style .= ' .custom-logo-link img {';
			$kitchen_decor_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$kitchen_decor_custom_style .= ' }';
		}
	}

	// service section padding
	$kitchen_decor_service_section_padding = get_theme_mod('kitchen_decor_service_section_padding');

	if( $kitchen_decor_service_section_padding != ''){
		$kitchen_decor_custom_style .=' #services-section {';
			$kitchen_decor_custom_style .=' padding-top: '.esc_attr($kitchen_decor_service_section_padding).'px; padding-bottom: '.esc_attr($kitchen_decor_service_section_padding).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	// Site Title Font Size
	$kitchen_decor_site_title_font_size = get_theme_mod('kitchen_decor_site_title_font_size');
	if( $kitchen_decor_site_title_font_size != ''){
		$kitchen_decor_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$kitchen_decor_custom_style .=' font-size: '.esc_attr($kitchen_decor_site_title_font_size).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_site_title_color = get_theme_mod('kitchen_decor_site_title_color');
	if ( $kitchen_decor_site_title_color != '') {
		$kitchen_decor_custom_style .=' p.site-title a {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_site_title_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	// Site Tagline Font Size
	$kitchen_decor_site_tagline_font_size = get_theme_mod('kitchen_decor_site_tagline_font_size');
	if( $kitchen_decor_site_tagline_font_size != ''){
		$kitchen_decor_custom_style .=' .logo p.site-description {';
			$kitchen_decor_custom_style .=' font-size: '.esc_attr($kitchen_decor_site_tagline_font_size).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_site_tagline_color = get_theme_mod('kitchen_decor_site_tagline_color');

	if ( $kitchen_decor_site_tagline_color != '') {
		$kitchen_decor_custom_style .=' .logo p.site-description {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_site_tagline_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	//layout width
	$kitchen_decor_boxfull_width = get_theme_mod('kitchen_decor_boxfull_width');
	if ($kitchen_decor_boxfull_width !== '') {
		switch ($kitchen_decor_boxfull_width) {
			case 'container':
				$kitchen_decor_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$kitchen_decor_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$kitchen_decor_dropdown_anim = get_theme_mod('kitchen_decor_dropdown_anim');

	if ( $kitchen_decor_dropdown_anim != '') {
		$kitchen_decor_custom_style .=' .nav-menu ul ul {';
			$kitchen_decor_custom_style .=' animation:'.esc_attr($kitchen_decor_dropdown_anim).' 1s ease;';
		$kitchen_decor_custom_style .=' }';
	}

	// Copyright padding
	$kitchen_decor_copyright_padding = get_theme_mod('kitchen_decor_copyright_padding');

	if( $kitchen_decor_copyright_padding != ''){
		$kitchen_decor_custom_style .=' .site-info {';
			$kitchen_decor_custom_style .=' padding-top: '.esc_attr($kitchen_decor_copyright_padding).'px; padding-bottom: '.esc_attr($kitchen_decor_copyright_padding).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_tbarrow_color = get_theme_mod('kitchen_decor_tbarrow_color');
	$kitchen_decor_tbarrowbg_color = get_theme_mod('kitchen_decor_tbarrowbg_color');
	if ( $kitchen_decor_tbarrow_color != '') {
		$kitchen_decor_custom_style .=' button.back-to-top.show-back-to-top {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_tbarrow_color).'; background-color:'.esc_attr($kitchen_decor_tbarrowbg_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	// Header Image
	$header_image_url = kitchen_decor_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$kitchen_decor_custom_style .=' #inner-pages-header {';
			$kitchen_decor_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$kitchen_decor_custom_style .=' }';
		$kitchen_decor_custom_style .=' .header-overlay {';
			$kitchen_decor_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.3;';
		$kitchen_decor_custom_style .=' }';
	} else {
		$kitchen_decor_custom_style .=' #inner-pages-header {';
			$kitchen_decor_custom_style .=' background:linear-gradient(0deg,#ccc,#0a0607 80%) no-repeat; ';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_slider_hide_show = get_theme_mod('kitchen_decor_slider_hide_show',false);
	if( $kitchen_decor_slider_hide_show == true){
		$kitchen_decor_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$kitchen_decor_custom_style .=' display:none;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_social_color = get_theme_mod('kitchen_decor_social_color');
	if ( $kitchen_decor_social_color != '') {
		$kitchen_decor_custom_style .=' .social-icons i {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_social_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_epicon_color = get_theme_mod('kitchen_decor_epicon_color');
	if ( $kitchen_decor_epicon_color != '') {
		$kitchen_decor_custom_style .=' p.callno i, p.email i {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_epicon_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_eptext_color = get_theme_mod('kitchen_decor_eptext_color');
	if ( $kitchen_decor_eptext_color != '') {
		$kitchen_decor_custom_style .=' p.callno, p.email {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_eptext_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_socialbg_color = get_theme_mod('kitchen_decor_socialbg_color');
	$kitchen_decor_callbg_color = get_theme_mod('kitchen_decor_callbg_color');
	if ( $kitchen_decor_socialbg_color != '') {
		$kitchen_decor_custom_style .=' .topbar{';
			$kitchen_decor_custom_style .='     background: linear-gradient(90deg, '.esc_attr($kitchen_decor_socialbg_color).' 60%, '.esc_attr($kitchen_decor_callbg_color).' 40%);';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_callbg_color = get_theme_mod('kitchen_decor_callbg_color');
	if ( $kitchen_decor_callbg_color != '') {
		$kitchen_decor_custom_style .=' .topbar .contacts{';
			$kitchen_decor_custom_style .=' background-color:'.esc_attr($kitchen_decor_callbg_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	//Slider color 
	$kitchen_decor_slider_font_size = get_theme_mod('kitchen_decor_slider_font_size');
	if ( $kitchen_decor_slider_font_size != '') {
		$kitchen_decor_custom_style .=' #slider h2 a {';
			$kitchen_decor_custom_style .=' font-size:'.esc_attr($kitchen_decor_slider_font_size).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_slider_text_font_size = get_theme_mod('kitchen_decor_slider_text_font_size');
	if ( $kitchen_decor_slider_text_font_size != '') {
		$kitchen_decor_custom_style .=' #slider p {';
			$kitchen_decor_custom_style .=' font-size:'.esc_attr($kitchen_decor_slider_text_font_size).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_slider_opacity = get_theme_mod('kitchen_decor_slider_opacity');
	if ( $kitchen_decor_slider_opacity != '') {
		$kitchen_decor_custom_style .=' #slider img {';
			$kitchen_decor_custom_style .=' opacity:'.esc_attr($kitchen_decor_slider_opacity).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_slider_title_color = get_theme_mod('kitchen_decor_slider_title_color');
	if ( $kitchen_decor_slider_title_color != '') {
		$kitchen_decor_custom_style .=' #slider h2 a {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_slider_title_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_slider_text_color = get_theme_mod('kitchen_decor_slider_text_color');
	if ( $kitchen_decor_slider_text_color != '') {
		$kitchen_decor_custom_style .=' #slider p {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_slider_text_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_slider_btn_color = get_theme_mod('kitchen_decor_slider_btn_color');
	$kitchen_decor_slider_btnbg_color = get_theme_mod('kitchen_decor_slider_btnbg_color');
	if ( $kitchen_decor_slider_btn_color != '') {
		$kitchen_decor_custom_style .=' #slider a.read-btn {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_slider_btn_color).'; background-color:'.esc_attr($kitchen_decor_slider_btnbg_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	//Aboutus color 
	$kitchen_decor_about_img_size = get_theme_mod('kitchen_decor_about_img_size');
	if ( $kitchen_decor_about_img_size != '') {
		$kitchen_decor_custom_style .=' #about-section .image-box img {';
			$kitchen_decor_custom_style .=' width:'.esc_attr($kitchen_decor_about_img_size).'px;';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_about_smt_color = get_theme_mod('kitchen_decor_about_smt_color');
	if ( $kitchen_decor_about_smt_color != '') {
		$kitchen_decor_custom_style .=' #about-section h3 {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_about_smt_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_about_title_color = get_theme_mod('kitchen_decor_about_title_color');
	if ( $kitchen_decor_about_title_color != '') {
		$kitchen_decor_custom_style .=' #about-section h4 {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_about_title_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_about_text_color = get_theme_mod('kitchen_decor_about_text_color');
	if ( $kitchen_decor_about_text_color != '') {
		$kitchen_decor_custom_style .=' #about-section p {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_about_text_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_about_btn_color = get_theme_mod('kitchen_decor_about_btn_color');
	if ( $kitchen_decor_about_btn_color != '') {
		$kitchen_decor_custom_style .=' #about-section .about-btn a span {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_about_btn_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_about_btnbg_color = get_theme_mod('kitchen_decor_about_btnbg_color');
	if ( $kitchen_decor_about_btnbg_color != '') {
		$kitchen_decor_custom_style .=' #about-section .about-btn a {';
			$kitchen_decor_custom_style .=' background-color:'.esc_attr($kitchen_decor_about_btnbg_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_about_imgtext_color = get_theme_mod('kitchen_decor_about_imgtext_color');
	if ( $kitchen_decor_about_imgtext_color != '') {
		$kitchen_decor_custom_style .=' #about-section .inner-box {';
			$kitchen_decor_custom_style .=' color:'.esc_attr($kitchen_decor_about_imgtext_color).';';
		$kitchen_decor_custom_style .=' }';
	}

	$kitchen_decor_about_imgtxtbg_color = get_theme_mod('kitchen_decor_about_imgtxtbg_color');
	if ( $kitchen_decor_about_imgtxtbg_color != '') {
		$kitchen_decor_custom_style .=' #about-section .inner-box {';
			$kitchen_decor_custom_style .=' background-color:'.esc_attr($kitchen_decor_about_imgtxtbg_color).';';
		$kitchen_decor_custom_style .=' }';
	}